Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 251812 - Stable request for sys-apps/portage-2.1.6.4
Summary: Stable request for sys-apps/portage-2.1.6.4
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Conceptual/Abstract Ideas (show other bugs)
Hardware: All All
: High normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 251810
Blocks: 231039 235020 245197 251173 252350 253054 253077
  Show dependency tree
 
Reported: 2008-12-20 23:13 UTC by Zac Medico
Modified: 2009-02-18 21:30 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zac Medico gentoo-dev 2008-12-20 23:13:44 UTC
Please mark stable. Bug #216231 tracks all bugs fixed since 2.1.4.x.

You'll have to mark app-admin/eselect-news-20080320 stable first (see bug #251810).
Comment 1 Zac Medico gentoo-dev 2008-12-28 22:39:12 UTC
Release notes since 2.1.4:

portage-2.1.6
==================================

* FEATURES=fixpackages is now enabled by default via make.globals. Set
  FEATURES="-fixpackages" in make.conf if you'd like to disable it.
* File collision protection is now enabled by default via make.globals with
  FEATURES=protect-owned. In order to protect files from be overwritten or
  removed a inappropriate times, it is recommended to leave protect-owned
  (or the similar collision-protect feature) enabled at all times.
* The python namespace for portage has been sanitized, all portage related code
  is now contained within the portage namespace. External script should be
  updated accordingly, though links exist for backward compability.
* -* support in package.keywords was changed as it was inconsistent with 
  ACCEPT_KEYWORDS behavior (also see
  http://dev.gentoo.org/~genone/docs/KEYWORDS.stupid).
  Previously having -* in package.keywords matched packages with KEYWORDS="-*",
  now it resets the ACCEPT_KEYWORDS list for the given atom like it does when
  used in ACCEPT_KEYWORDS.
  For packages that don't specify any other KEYWORDS you can use the new **
  token as documented in portage(5) to disable KEYWORDS filtering completely.

portage-2.1.5
==================================

* The pkg_postinst phase is now called after the previous version of a
  package has been removed. As a consequence, it is no longer possible
  to call has_version in pkg_postinst to detect whether the current
  install operation is an upgrade or downgrade. If this information is
  needed during the pkg_postinst phase, do the has_version call in an
  earlier phase (such as pkg_preinst) and store the result in a global
  variable to be accessed by pkg_postinst when it is called. Bug #226505
  tracks all issues related to this phase execution order change.
* The metadata-transfer feature is now disabled by default. This disables the
  "Updating Portage cache" routine that used to run at the tail end of each
  `emerge --sync` operation. If you use something like the sqlite module and
  want to keep all metadata in that format alone (useful for querying), enable
  FEATURES="metadata-transfer" in make.conf. You should also enable
  FEATURES="metadata-transfer" if you have any eclasses from PORTDIR_OVERLAY
  that override eclasses from PORTDIR (in this case, you may have disabled
  a relevant warning message by setting PORTAGE_ECLASS_WARNING_ENABLE="0" in
  make.conf).
* The parallel-fetch feature is now enabled by default. It is optimized
  to avoid doing redundant checksums for previously downloaded files that have
  the correct size. Run `tail -f /var/log/emerge-fetch.log` in a
  terminal to view parallel-fetch progress. Add FEATURES="-parallel-fetch"
  to /etc/make.conf if you want to disable this feature.
Comment 2 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2008-12-28 22:41:33 UTC
Zac,
If we are running the latest 2.2_rc, what should we explicitly look for in 2.1.6.4 that is different now?
Comment 3 Zac Medico gentoo-dev 2008-12-28 22:50:48 UTC
The only difference between 2.2_rc and 2.1.6.x is that 3 new features are not supported in 2.1.6.x:

1) package sets
2) preserve-libs
3) ACCEPT_LICENSE

Other than the lack of those 3 features, everything is the same.
Comment 4 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2008-12-28 23:01:17 UTC
(In reply to comment #3)
> The only difference between 2.2_rc and 2.1.6.x is that 3 new features are not
> supported in 2.1.6.x:
> 
> 1) package sets
> 2) preserve-libs
> 3) ACCEPT_LICENSE
> 
> Other than the lack of those 3 features, everything is the same.
> 

Ok, sanity test on amd64 revealed no issues. Been using 2.2rcX for many months. amd64 stable.
Comment 5 Friedrich Oslage (RETIRED) gentoo-dev 2008-12-29 12:49:16 UTC
sparc stable

/me prepares for lots of EAPI-2 ebuilds stabilization requests ;)
Comment 6 Raúl Porcel (RETIRED) gentoo-dev 2008-12-29 16:16:34 UTC
alpha/arm/ia64/s390/x86 stable
Comment 7 Tobias Scherbaum (RETIRED) gentoo-dev 2008-12-29 18:13:23 UTC
ppc stable
Comment 8 Jeroen Roovers (RETIRED) gentoo-dev 2008-12-31 15:04:47 UTC
Stable for HPPA.
Comment 9 Brent Baude (RETIRED) gentoo-dev 2009-01-08 20:33:05 UTC
ppc64 stable
Comment 10 Zac Medico gentoo-dev 2009-02-18 21:30:58 UTC
See bug 259523 for 2.1.6.7 stabization.